package ${domain}.module.${moduleName}.ent;

<#if table.has('Date')>
import java.util.Date;
</#if>
<#if table.getHtml()>
import ${domain}.frame.excel.annotation.ColumnDescription;
import ${domain}.frame.excel.annotation.ColumnList;
import ${domain}.frame.excel.annotation.ColumnName;
import ${domain}.frame.excel.annotation.SheetName;
</#if>
import ${domain}.frame.base.BaseEntity;

/**
 * ${table.tableName} - ${table.tableComment}
 *
 * @author ${author?default("")}
 * @version 0.0.1
 * @since ${.now?string["yyyy-MM-dd"]}
 */
<#if table.getHtml()>
@SheetName("${table.tableComment?default("")}")
</#if>
public class ${table.getCName()} extends BaseEntity {

<#list table.fields as field>
<#if !field.isSystem>
    /**
     * ${field.fieldName} - ${field.fieldComment?default("")}
     */
<#if table.getHtml()>
    @ColumnName("${field.fieldComment?default("")}")
    @ColumnDescription("")
<#if field.getFieldTypeJava()=="Boolean">
    @ColumnList({"是","否"})
</#if>
</#if>
    private ${field.getFieldTypeJava()} ${field.getFName()};
</#if>
</#list>
<#list table.fields as field>
<#if !field.isSystem>

    public ${field.getFieldTypeJava()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.getFieldTypeJava()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
</#if>
</#list>
}